#pragma once
#include "ParticipantModel.h"
#include <QWidget>
#include <QTableView>
#include <QLineEdit>
#include <QPushButton>

class ParticipantView : public QWidget
{
    Q_OBJECT
    private:
        ParticipantModel* model;
        QTableView* view;
        QLineEdit* answerEdit;
        QPushButton* addButton;
        void initGUI();
        void connectSignalsAndSlots();
    public:
        ParticipantView(ParticipantModel* model, QWidget* parent = nullptr);
        ~ParticipantView();
};